@echo off
verify # 2>nul
setlocal enableextensions enabledelayedexpansion
if errorlevel 1 goto ERROR
call $SQLTRANS "(SettingsOnly)"
if !errorlevel! neq 0 goto ERROR

if not defined UploadTable goto UPLOAD_TABLE_NOT_DEF

rem set $sql_uploading_cp=ACP
$SqlUpload "used_buildings_data.txt" "!UploadTable!"
goto ERROR

:UPLOAD_TABLE_NOT_DEF
echo.
echo ## Variable not defined: "UploadTable".
goto ERROR

:ERROR
echo 
pause
EXIT 255
